#200 closed defect (fixed)

gcc-3.1 does not accept newlines in string literals

Reported by: Eric Norum Owned by: Eric Norum
Priority: normal Milestone: 2
Component: unspecified Version: 4.5
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

RTEMS has several places where string literals contain newlines. These literals are rejected by gcc-3.1. The attached file illustrates the changes which must be made.

Release:
RTEMS-4.5

Attachments (1)

patch (8.6 KB) - added by Eric Norum on Dec 3, 2006 at 1:31:13 PM.
patch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on May 1, 2002 at 10:10:27 PM by Joel Sherrill

Owner: changed from mayes to eric
Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied -- was in Macbinary format. Luckily I

could hack it and make it apply.

Changed on Dec 3, 2006 at 1:31:13 PM by Eric Norum

Attachment: patch added

patch

comment:2 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.